Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.query.xpath.expr
Class FTUnion

    java.lang.Object
      org.basex.query.xpath.expr.Expr
          org.basex.query.xpath.expr.ArrayExpr
              org.basex.query.xpath.expr.FTUnion

    public final class FTUnion

extends ArrayExpr

FTUnion Expression. This expresses the union of two FTContains results.

Author:
  Workgroup DBIS, University of Konstanz 2005-07, ISC License, Sebastian Gath

Field Summary

Fields inherited from class org.basex.query.xpath.expr.ArrayExpr
`exprs`

Constructor Summary
`FTUnion(Expr[] e)` Constructor.

Method Summary
`static int[][]` | `calcualteFtOr(int[][] values1, int[][] values2)` Builds an or-conjunction of values1 and values2.
`Expr` | `compile(XPContext ctx)` Tries to optimize the Expression.
`NodeSet` | `eval(XPContext ctx)` Evaluates the expression with the specified context set.

Methods inherited from class org.basex.query.xpath.expr.ArrayExpr
`sameAs, toString, usesPos, usesSize`

Methods inherited from class org.basex.query.xpath.expr.Expr
`indexEquivalent, indexSizes, returnedValue`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FTUnion

    public FTUnion(Expr[] e)

  Constructor.

  Parameters:
    `e` - operands joined with the union operator

Method Detail

### calcualteFtOr

    public static int[][] calcualteFtOr(int[][] values1,
                                        int[][] values2)

  Builds an or-conjunction of values1 and values2.

  Parameters:
    `values1` - input set
    `values2` - input set
  Returns:
    union set int[][]

### compile

    public Expr compile(XPContext ctx)
                 throws EvalException

  Description copied from class: `Expr`
  Tries to optimize the Expression.

  Specified by:
    `compile` in class `Expr`
  Parameters:
    `ctx` - expression context
  Returns:
    optimized Expression
  Throws:
    `EvalException` - evaluation exception

### eval

    public NodeSet eval(XPContext ctx)
                 throws EvalException

  Description copied from class: `Expr`
  Evaluates the expression with the specified context set. Additionally provides a context

  Specified by:
    `eval` in class `Expr`
  Parameters:
    `ctx` - query context
  Returns:
    resulting XPathValue
  Throws:
    `EvalException` - evaluation exception

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD